import request from '@/utils/request'

// 查询app升级列表
export function listAppUpgrade(query) {
  return request({
    url: '/system/appUpgrade/list',
    method: 'get',
    params: query
  })
}

// 查询app升级详细
export function getAppUpgrade(id) {
  return request({
    url: '/system/appUpgrade/' + id,
    method: 'get'
  })
}

// 新增app升级
export function addAppUpgrade(data) {
  return request({
    url: '/system/appUpgrade',
    method: 'post',
    data: data
  })
}

// 修改app升级
export function updateAppUpgrade(data) {
  return request({
    url: '/system/appUpgrade',
    method: 'put',
    data: data
  })
}

// 删除app升级
export function delAppUpgrade(id) {
  return request({
    url: '/system/appUpgrade/' + id,
    method: 'delete'
  })
}

// 导出app升级
export function exportAppUpgrade(query) {
  return request({
    url: '/system/appUpgrade/export',
    method: 'get',
    params: query
  })
}


// 上传app升级
export function uploadAppUpgrade(data) {
  return request({
    url: '/system/appUpgrade/upload',
    method: 'post',
    data: data
  })
}