import request from '@/utils/request'

// 查询个人页  视频列表
export function listPersonalVideo(query) {
  return request({
    url: '/system/personal/video/list',
    method: 'get',
    params: query
  })
}
// 查询个人页视频列表 
export function allPersonalVideo(query) {
  return request({
    url: '/system/personal/video/all',
    method: 'get',
    params: query
  })
}

// 查询个人页  视频详细
export function getPersonalVideo(id) {
  return request({
    url: '/system/personal/video/' + id,
    method: 'get'
  })
}

// 新增个人页  视频
export function addPersonalVideo(data) {
  return request({
    url: '/system/personal/video',
    method: 'post',
    data: data
  })
}

// 修改个人页  视频
export function updatePersonalVideo(data) {
  return request({
    url: '/system/personal/video',
    method: 'put',
    data: data
  })
}

// 删除个人页  视频
export function delPersonalVideo(id) {
  return request({
    url: '/system/personal/video/' + id,
    method: 'delete'
  })
}

// 导出个人页  视频
export function exportPersonalVideo(query) {
  return request({
    url: '/system/personal/video/export',
    method: 'get',
    params: query
  })
}

// 上传视频
export function uploadFile(data) {
  return request({
    url: '/system/personal/video/upload',
    method: 'post',
    data: data
  })
}