import request from '@/utils/request'

// 查询图片列表
export function listProfileImg(query) {
  return request({
    url: '/system/profile/img/list',
    method: 'get',
    params: query
  })
}
// 查询图片列表
export function allProfileImg(query) {
  return request({
    url: '/system/profile/img/all',
    method: 'get',
    params: query
  })
}

// 查询图片详细
export function getProfileImg(id) {
  return request({
    url: '/system/profile/img/' + id,
    method: 'get'
  })
}

// 新增图片
export function addProfileImg(data) {
  return request({
    url: '/system/profile/img',
    method: 'post',
    data: data
  })
}

// 修改图片
export function updateProfileImg(data) {
  return request({
    url: '/system/profile/img',
    method: 'put',
    data: data
  })
}

// 删除图片
export function delProfileImg(id) {
  return request({
    url: '/system/profile/img/del/' + id,
    method: 'get'
  })
}

// 导出图片
export function exportProfileImg(query) {
  return request({
    url: '/system/profile/img/export',
    method: 'get',
    params: query
  })
}


// 上传图片 
export function uploadFile(data) {
  return request({
    url: '/system/profile/img/upload',
    method: 'post',
    data: data
  })
}